# $Revision: 1.9.2.1 $, $Date: 2007/04/30 07:59:40 $
Summary:	Bluetooth PIN manager for GNOME
Summary(pl.UTF-8):	Zarządca kodów PIN Bluetootha dla GNOME
Name:		bluez-gnome
Version:	0.6
Release:	2
License:	GPL
Group:		X11/Applications
#Source0Download: http://www.bluez.org/download.html
Source0:	http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	54334e3d7af70846eb4916191e46081c
Patch0:		%{name}-as-needed.patch
URL:		http://www.bluez.org/
BuildRequires:	GConf2-devel >= 2.6
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.60
# NOTE: http://lists.pld-linux.org/mailman/pipermail/pld-devel-pl/2007-April/140858.html
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	libnotify-devel >= 0.3.2
BuildRequires:	pkgconfig
Requires:	dbus-glib >= 0.60
Requires:	gtk+2 >= 2:2.6.0
Obsoletes:	bluez-pin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a very simple program which takes care of the PIN numbers used
to pair Bluetooth devices. When a PIN is required for either an
incoming or outgoing connection, it pops up a window to allow the code
to be entered. PINs can optionally be saved in a persistent database,
for use with dumb devices that are unable to remember pairing
information across sessions.

%description -l pl.UTF-8
Bardzo prosty program pilnujący numerów PIN używanych do parowania
urządzeń Bluetooth. Kiedy wymagany jest PIN dla przychodzącego lub
wychodzącego połączenia, pokazuje okienko umożliwiające wprowadzenie
kodu. PIN-y opcjonalnie mogą być przechowywane w bazie danych do
używania z prymitywnymi urządzeniami nie potrafiącymi zapamiętać
informacji o parowaniu między sesjami.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	autostartdir=%{_datadir}/gnome/autostart

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/bluetooth-applet
%attr(755,root,root) %{_bindir}/bluetooth-properties
%{_datadir}/gnome/autostart/bluetooth-applet.desktop
%{_desktopdir}/bluetooth-properties.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bluez-gnome.spec,v $
Revision 1.9.2.1  2007/04/30 07:59:40  matkor
- Release 2 for Ac.

Revision 1.9  2007/04/30 07:51:29  qboosh
- use gtk+ 2.10 on HEAD (without compatibility code)
- missing BRs: GConf2-devel libnotify-devel

Revision 1.8  2007/04/30 07:17:34  matkor
- Release 1.1. Relaxed (B)R fro gtk+2 >= 2.10.

Revision 1.7  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.5  2006/11/09 22:09:06  aredridel
- 0.6

Revision 1.4  2006/09/24 18:50:07  luzik
- updated to 0.5

Revision 1.3  2006/08/23 17:03:20  qboosh
- runtime deps

Revision 1.2  2006/08/23 17:02:48  qboosh
- updated URL, fixed deps (note: gtk+ 2.8.0 is required, >= 2.9.0 is preferred)

Revision 1.1  2006/08/23 16:45:01  wrobell
- based on bluez-pin
